using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;
using VeterinaryContracts.SearchModels;
using VeterinaryDataModels;

namespace VeterinaryContracts.StorageContracts
{
	public interface IDrugStorage
	{
		List<DrugViewModel> GetFullList();
		List<DrugViewModel> GetFilteredList(DrugSearchModel model);
		DrugViewModel? GetElement(DrugSearchModel model);
		DrugViewModel? Insert(DrugBindingModel model);
		DrugViewModel? Update(DrugBindingModel model);
		DrugViewModel? Delete(DrugBindingModel model);
		public bool SellDrugs(DrugBindingModel model, int count);
	}
}
